export let spec;
if (typeof require !== "undefined" && typeof exports === "object") {
    // CommonJS environment
    spec = require("./data/editSpec.json");
}
else {
    // ESM environment - dynamically import
    import("./data/editSpec.json").then((module) => {
        spec = module.default;
    });
}
export let specWithSub;
if (typeof require !== "undefined" && typeof exports === "object") {
    // CommonJS environment
    specWithSub = require("./data/withSub.json");
}
else {
    // ESM environment - dynamically import
    import("./data/withSub.json").then((module) => {
        specWithSub = module.default;
    });
}
export let lottieLayerData;
if (typeof require !== "undefined" && typeof exports === "object") {
    // CommonJS environment
    lottieLayerData = require("./data/lottieLayerData.json");
}
else {
    // ESM environment - dynamically import
    import("./data/lottieLayerData.json").then((module) => {
        lottieLayerData = module.default;
    });
}
//# sourceMappingURL=data.js.map