// Export {};
// declare global {
//   interface Array<T> {
//     remove(o: T): Array<T>;
//     chunks(size: number): Array<Array<T>>;
//   }
// }
// Array.prototype.remove = function (o) {
//   // code to remove "o"
//   return this;
// };
// Array.prototype.chunks = function (chunkSize: number) {
//   if (chunkSize <= 0) throw new Error('chunk size must be bigger then 0');
//   const container: any[][] = [];
//   for (let i = 0; i < this.length; i += chunkSize) {
//     const chunk = this.slice(i, i + chunkSize);
//     container.push(chunk);
//   }
//   return container;
// };
export function swap(arr, pos1, pos2) {
    // Check if positions are valid
    if (pos1 < 0 || pos1 >= arr.length || pos2 < 0 || pos2 >= arr.length) {
        throw new Error('Invalid positions');
    }
    // Swap elements
    const temp = arr[pos1];
    arr[pos1] = arr[pos2];
    arr[pos2] = temp;
}
//# sourceMappingURL=array.extensions.js.map