export declare const makeId: (length: number) => string;
export declare const toBase64: (value: string) => string;
export declare const fromBase64: (value: string) => string;
export declare const getExtension: (path: string) => string;
export declare const getFilename: (path: string) => string;
export declare const isValidUrl: (string: string) => boolean;
export declare const isBucketLink: (string: string) => boolean;
export declare const trimBucketName: (string: string, bucketName: string) => string;
export declare const cleanUp: (string: string) => string;
export declare const fileExtention: (string: string) => string;
export declare const fileName: (string: string) => string;
export declare function compareJsonStrings(json1?: string, json2?: string): boolean;
export declare function getFirestoreCollectionPath(path: string): string;
export declare function getFirestoreId(path: string): string | undefined;
export {};
//# sourceMappingURL=string.extensions.d.ts.map