export interface ILottie {
    v: string;
    meta: Meta;
    fr: number;
    ip: number;
    op: number;
    w: number;
    h: number;
    nm: string;
    ddd: number;
    assets: any[];
    layers: LLayer[];
    markers: LMarker[];
}
export interface Meta {
    g: string;
    a: string;
    k: string;
    d: string;
    tc: string;
}
export interface O {
    a: number;
    k: any;
    ix: number;
}
export interface R {
    a: number;
    k: number;
    ix: number;
}
export interface P {
    a: number;
    k: any[];
    ix: number;
}
export interface A {
    a: number;
    k: number[];
    ix: number;
    x: string;
}
export interface S {
    a: number;
    k: number[];
    ix: number;
}
export interface Ks {
    o: O;
    r: R;
    p: P;
    a: A;
    s: S;
}
export interface V {
    a: number;
    k: any;
    ix: number;
}
export interface Ef2 {
    ty: number;
    nm: string;
    mn: string;
    ix: number;
    v: V;
}
export interface Ef {
    ty: number;
    nm: string;
    np: number;
    mn: string;
    ix: number;
    en: number;
    ef: Ef2[];
}
export interface K {
    i: number[][];
    o: number[][];
    v: number[][];
    c: boolean;
}
export interface Ks2 {
    a: number;
    k: K;
    ix: number;
}
export interface C {
    a: number;
    k: number[];
    ix: number;
}
export interface O2 {
    a: number;
    k: number;
    ix: number;
}
export interface W {
    a: number;
    k: number;
    ix: number;
}
export interface P2 {
    a: number;
    k: number[];
    ix: number;
}
export interface A2 {
    a: number;
    k: number[];
    ix: number;
}
export interface S2 {
    a: number;
    k: number[];
    ix: number;
}
export interface Sk {
    a: number;
    k: number;
    ix: number;
}
export interface Sa {
    a: number;
    k: number;
    ix: number;
}
export interface It {
    ind: number;
    ty: string;
    ix: number;
    ks: Ks2;
    nm: string;
    mn: string;
    hd: boolean;
    c: C;
    o: O2;
    w: W;
    lc?: number;
    lj?: number;
    ml?: number;
    bm?: number;
    p: P2;
    a: A2;
    s: S2;
    r: any;
    sk: Sk;
    sa: Sa;
    d?: number;
}
export interface S3 {
    a: number;
    k: any;
    ix: number;
}
export interface E {
    a: number;
    k: any;
    ix: number;
}
export interface O3 {
    a: number;
    k: number;
    ix: number;
}
export interface Shape {
    ty: string;
    it: It[];
    nm: string;
    np: number;
    cix: number;
    bm: number;
    ix: number;
    mn: string;
    hd: boolean;
    s: S3;
    e: E;
    o: O3;
    m?: number;
}
export interface K2 {
    i: number[][];
    o: number[][];
    v: number[][];
    c: boolean;
}
export interface Pt {
    a: number;
    k: K2;
    ix: number;
}
export interface O4 {
    a: number;
    k: number;
    ix: number;
}
export interface X {
    a: number;
    k: number;
    ix: number;
}
export interface MasksProperty {
    inv: boolean;
    mode: string;
    pt: Pt;
    o: O4;
    x: X;
    nm: string;
}
export interface LLayer {
    ddd: number;
    ind: number;
    ty: number;
    nm: string;
    sr: number;
    ks: Ks;
    ao: number;
    ip: number;
    op: number;
    st: number;
    bm: number;
    parent?: number;
    ef: Ef[];
    shapes: Shape[];
    td?: number;
    tt?: number;
    hasMask?: boolean;
    masksProperties: MasksProperty[];
    sw?: number;
    sh?: number;
    sc: string;
}
export interface LMarker {
    tm: number;
    cm: string;
    dr: number;
}
//# sourceMappingURL=ILottie.d.ts.map