import { z } from "zod";
export interface ISelectors {
    logLevel?: string;
    language?: string;
    languages?: string[];
    withSubtitle?: boolean;
    withoutSubtitle?: boolean;
    isPlayer?: boolean;
    calculateClips?: boolean;
    calculateFromJson?: boolean;
    [key: string]: string | string[] | boolean | number | null | undefined;
}
export declare const ISelectorsSchema: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodBoolean, z.ZodNumber, z.ZodNull, z.ZodUndefined]>>;
//# sourceMappingURL=ISelectors.d.ts.map