import type { TransitionCurve } from "../enums/index.js";
import type { IFrameRange } from "./IFrameRange.js";
export interface ITransition {
    property: string;
    valueFrom: number;
    valueTo: number;
    curve: TransitionCurve;
    relativeRange: IFrameRange;
}
export interface IClipTransition {
    name: string;
    duration: number;
    audioInCurve: string | null;
    audioOutCurve: string | null;
}
//# sourceMappingURL=ITransition.d.ts.map