import type { AudioLayer, VideoLayer, SubtitleLayer, LottieLayer, ImageLayer, FrameRange, Layer } from "../models/index.js";
import type { ISelectors } from "./ISelectors.js";
import type { IWebVTT } from "./IWebVTT.js";
export interface ElementProps {
    sequenceRange: FrameRange;
    index: number;
    layer: Layer | AudioLayer | VideoLayer | ImageLayer | SubtitleLayer | LottieLayer;
    path?: string;
    offthreadVideo?: boolean;
    subtitle?: IWebVTT | null;
    selectors: ISelectors;
}
//# sourceMappingURL=elementProps.d.ts.map