import { AudioLayer } from "../layer/audio.layer.js";
import { FrameRange } from "../frameRange";
import { Layer } from "../layer/layer";
import { LottieLayer } from "../layer/lottie.layer.js";
import { SubtitleLayer } from "../layer/subtitle.layer.js";
import { VideoLayer } from "../layer/video.layer.js";
import { type ISelectors } from "../../interfaces/ISelectors.js";
export interface ILayerSequenceProps {
    sequenceRange: FrameRange;
    index: number;
    layer: Layer | AudioLayer | VideoLayer | SubtitleLayer | LottieLayer;
    selectors: ISelectors;
}
declare const LayerSequence: ({ sequenceRange, index, layer, selectors, }: ILayerSequenceProps) => import("react/jsx-runtime").JSX.Element;
export default LayerSequence;
//# sourceMappingURL=layer-sequence.d.ts.map