import { Parser } from "./parser.js";
export const parseSync = (input) => {
    const buffer = [];
    const parser = new Parser({
        push: (node) => buffer.push(node),
    });
    input
        .replace(/\r\n/g, "\n")
        .split("\n")
        .forEach((line) => parser.parseLine(line));
    parser.flush();
    return buffer;
};
//# sourceMappingURL=parseSync.js.map