import "reflect-metadata";
import { immerable } from "immer";
import type { ITimerangeInformation } from "../interfaces/index.js";
import { TimeRange } from "./timerange.js";
export declare class TimerangeInformation<T> implements ITimerangeInformation<T> {
    [immerable]: boolean;
    type: string;
    timerange: TimeRange;
    information: T;
    metadata?: {
        [key: string]: any;
    } | undefined;
    static fromITimerangeInformation<T>(timerangeInformation: ITimerangeInformation<T>): TimerangeInformation<T>;
}
//# sourceMappingURL=timerangeInformation.d.ts.map