export type ColorValue = [number, number, number, number?];
export type ColorInfo = {
    path: string[];
    value: ColorValue;
    layer: any;
};
export type ImageInfo = {
    path: string[];
    imageIndex: number;
    value: string;
    width?: number;
    height?: number;
    layer: any;
};
export declare type LottieData = {
    fr: number;
    w: number;
    h: number;
    ip: number;
    op: number;
    assets?: any;
    fonts?: any;
    layers?: any;
    markers?: Marker[];
    shrinked?: boolean;
} & Record<string | number | symbol, unknown>;
export declare type Marker = {
    tm: number;
    dr: number;
    cm: string;
} & Record<string | number | symbol, unknown>;
//# sourceMappingURL=lottie.d.ts.map