export function setContainerParent(item, parent) {
    item.linkedContainerParent = parent.path;
    return item;
}
export function addContainerChild(item, child) {
    if (!item.linkedContainerChildren ||
        !Array.isArray(item.linkedContainerChildren))
        item.linkedContainerChildren = [];
    if (item.linkedContainerChildren.find((x) => x === child.path))
        return item;
    item.linkedContainerChildren.push(child.path);
    return item;
}
export function removeContainerChild(item, child) {
    if (!item.linkedContainerChildren ||
        !Array.isArray(item.linkedContainerChildren))
        return item;
    const index = item.linkedContainerChildren.findIndex((x) => x === child.path);
    if (index < 0)
        return item;
    item.linkedContainerChildren.splice(index, 1);
    return item;
}
export function iHasContainerRelationshipToAlgolia(item) {
    var _a;
    return {
        linkedContainerParent: item.linkedContainerParent,
        linkedContainerChildren: (_a = item.linkedContainerChildren) !== null && _a !== void 0 ? _a : [],
    };
}
//# sourceMappingURL=IHasContainerRelationship.js.map