/* eslint-disable capitalized-comments */
import { ifSmaller } from "../extensions/index.js";
import { iCollectionDocumentToAlgolia, } from "./ICollectionDocument.js";
import { iMediaAssetToAlgolia, } from "./IMediaAsset.js";
export function iLibraryItemToAlgolia(item) {
    const base = iCollectionDocumentToAlgolia(item);
    const asset = item.asset ? iMediaAssetToAlgolia(item.asset) : undefined;
    // const dataJsonSize = calculateJsonSizeInKB(item.dataJson);
    return Object.assign(Object.assign({}, base), { id: item.id, name: item.name, state: item.state, type: item.type, asset: ifSmaller(asset, 0.5) });
}
//# sourceMappingURL=ILibraryItem.js.map