import { iEditSpecificationToAlgolia, } from "./IEditSpecification.js";
import { iCollectionDocumentToAlgolia, } from "./ICollectionDocument.js";
import { ifSmaller } from "../extensions/index.js";
export function iProjectToAlgolia(item) {
    const base = iCollectionDocumentToAlgolia(item);
    const editSpecification = item.editSpecification
        ? iEditSpecificationToAlgolia(item.editSpecification)
        : undefined;
    return Object.assign(Object.assign({}, base), { name: item.name, description: item.description, keywords: item.keywords, mainLanguage: item.mainLanguage, additionalLanguages: item.additionalLanguages, editSpecification: ifSmaller(editSpecification, 0.6) });
}
//# sourceMappingURL=IProject.js.map