import { immerable } from "immer";
export declare class FunctionDescription {
    name: string;
    [immerable]: boolean;
    parameters: string[];
    constructor(name: string, value: string);
    private fillParameters;
    static getColorOptions(input?: FunctionDescription[]): ColorOption[];
    static getColorOption(input: FunctionDescription): ColorOption | undefined;
    static getName(input?: FunctionDescription[]): string | undefined;
}
export type ColorOption = {
    theme: string;
    name: string;
    value: string;
    index: number;
};
//# sourceMappingURL=function-description.d.ts.map