var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var _a;
/* eslint-disable capitalized-comments */
import "reflect-metadata";
import _ from "lodash";
import { immerable } from "immer";
import { instanceToPlain, plainToInstance, Type } from "class-transformer";
import { subDocument } from "../index.js";
import { VariantMap } from "./variantMap.js";
export class LocalCloudFile {
    constructor() {
        this[_a] = true; // Option 1
        this.filename = "";
        this.variants = [];
    }
    get empty() {
        return (this.filename === "" &&
            this.localPath === undefined &&
            this.cloudPath === undefined &&
            this.cloudDownloadPath === undefined);
    }
    get variantMap() {
        return VariantMap.fromIVariantArray(this.variants, (variants) => {
            this.variants = variants;
        }, (dto) => dto, (item) => item);
    }
    removeVariant(key) {
        // this.variantMap.remove(key);
        _.remove(this.variants, (v) => v.key === key);
    }
    toILocalCloudFile() {
        return instanceToPlain(this);
    }
    static fromILocalCloudFile(data) {
        return plainToInstance(LocalCloudFile, data !== null && data !== void 0 ? data : {});
    }
    static default() {
        return new LocalCloudFile();
    }
}
_a = immerable;
__decorate([
    subDocument,
    __metadata("design:type", String)
], LocalCloudFile.prototype, "jsonData", void 0);
__decorate([
    Type(() => LcfVariant),
    __metadata("design:type", Array)
], LocalCloudFile.prototype, "variants", void 0);
export class LcfVariant {
    constructor() {
        this.key = {};
        this.value = new LocalCloudFile();
    }
}
__decorate([
    Type(() => LocalCloudFile),
    __metadata("design:type", LocalCloudFile)
], LcfVariant.prototype, "value", void 0);
//# sourceMappingURL=localCloudFile.js.map