import { Observable } from "rxjs";
import { TaskExecutionStrategy } from "./taskExecutionStrategy.js";
import { Task } from "./task.js";
import { ITransient } from "../../interfaces/ITask.js";
export declare class TaskExecutor {
    private strategy;
    constructor(strategy: TaskExecutionStrategy);
    setStrategy(strategy: TaskExecutionStrategy): void;
    execute(tasks: Task[], transient: ITransient, successOnAllSubSucesses?: boolean): Observable<ITransient>;
}
//# sourceMappingURL=taskExecutor.d.ts.map