export class TaskExecutor {
    constructor(strategy) {
        this.strategy = strategy;
    }
    setStrategy(strategy) {
        this.strategy = strategy;
    }
    execute(tasks, transient, successOnAllSubSucesses) {
        return this.strategy.execute(tasks, transient, successOnAllSubSucesses);
    }
}
//# sourceMappingURL=taskExecutor.js.map