import "reflect-metadata";
import { immerable } from "immer";
import { type ITime, Time } from "./time.js";
export declare class TimeRange {
    [immerable]: boolean;
    start: Time;
    end: Time;
    get duration(): Time;
    constructor(start?: ITime, end?: ITime);
    toString(): string;
    contains(time: ITime): boolean;
    before(time: ITime): boolean;
    after(time: ITime): boolean;
    clone(): TimeRange;
    static fromMilliseconds(start: number, end: number): TimeRange;
    static fromString(timeRangeString: string): TimeRange;
    static default(): TimeRange;
}
//# sourceMappingURL=timerange.d.ts.map