import { z } from "zod";
import { IVideoSettingsSchema } from "./videoSettings.schema.js";
import { DnDPropsSchema } from "../models/components/drag-and-drop/index.js";
export const VideoStripPropsSchema = z.object({
    editSpecificationJson: z.string(),
    editSpecification: z.any(),
    videoSettings: IVideoSettingsSchema,
    clips: z.array(z.any()),
    dndProps: DnDPropsSchema.optional(),
});
//# sourceMappingURL=videoStripProps.schema.js.map